namespace Guru
{
    // 对象池
    public interface IPool<T>
    {
        int PreSpawnCount { get; set; }
        string Name { get; }
        T Get();
        T Create();
        void Recycle(T obj);
    }
}